---
title: PermissionStatus.onchange
slug: Web/API/PermissionStatus/onchange
tags:
  - API
  - Event Handler
  - Experimental
  - PermissionStatus
  - Permissions
  - Property
  - Reference
  - onchange
---
<p>{{APIRef("Permissions API")}}{{SeeCompatTable}}</p>

<p>The <code><strong>onchange</strong></code> event handler of the {{domxref("PermissionStatus")}} interface is called whenever the {{domxref("PermissionStatus.state")}} property changes.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">PermissionStatus.onchange = function() { ... }
PermissionStatus.addEventListener('change', function() { ... })</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">navigator.permissions.query({name:'geolocation'}).then(function(permissionStatus) {
  console.log('geolocation permission state is ', permissionStatus.state);
  permissionStatus.onchange = function() {
    console.log('geolocation permission state has changed to ', this.state);
  };
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Permissions API','#dom-permissionstatus-onchange','onchange')}}</td>
   <td>{{Spec2('Permissions API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PermissionStatus.onchange")}}</p>
